<?php

namespace ReloadifyScoped\Doctrine\DBAL\Driver\DrizzlePDOMySql;

use ReloadifyScoped\Doctrine\DBAL\Driver\PDOConnection;
use ReloadifyScoped\Doctrine\DBAL\ParameterType;
/**
 * @deprecated
 */
class Connection extends PDOConnection
{
    /**
     * {@inheritdoc}
     */
    public function quote($value, $type = ParameterType::STRING)
    {
        if ($type === ParameterType::BOOLEAN) {
            return $value ? 'true' : 'false';
        }
        return parent::quote($value, $type);
    }
}
